## AgsLog

AgsLog — Log

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_LOG_GET_OBJ_MUTEX()
void | ags_log_add_message ()
GList * | ags_log_get_messages ()
AgsLog * | ags_log_get_instance ()
AgsLog * | ags_log_new ()

## Object Hierarchy

        GObject
        ╰── AgsLog

## Includes

    #include <ags/lib/ags_log.h>

## Description

The AgsLog logging class.

## Functions

### AGS_LOG_GET_OBJ_MUTEX()

    #define AGS_LOG_GET_OBJ_MUTEX(obj) (&(((AgsLog *) obj)->obj_mutex))

### ags_log_add_message ()

    void
    ags_log_add_message (AgsLog *log,
                         gchar *str);

Add a message to `log` .

#### Parameters

log | the AgsLog |
str | the message. | [transfer full]

Since: 3.0.0

### ags_log_get_messages ()

    GList *
    ags_log_get_messages (AgsLog *log);

Get log messages as GList containing strings.

#### Parameters

log | the AgsLog |

#### Returns

the GList containing log messages.

[element-type utf8][transfer none]

Since: 3.0.0

### ags_log_get_instance ()

    AgsLog *
    ags_log_get_instance ();

Get your logging instance.

#### Returns

the AgsLog instance.

[transfer none]

Since: 3.0.0

### ags_log_new ()

    AgsLog *
    ags_log_new ();

Instantiate a new AgsLog.

#### Returns

the new instance

Since: 3.0.0